Developer Documentation

Public Member Functions | List of all members
DefaultObjectMarker Class Reference

`#include <Plugin-Datacontrol/DefaultObjectMarker.hh>`

Inheritance diagram for DefaultObjectMarker:

## Public Member Functions
bool | stencilRefForObject (BaseObjectData *_obj, GLuint &_reference)
bool | blendForStencilRefNumber (GLuint _reference, GLenum &_src, GLenum &_dst, ACG::Vec4f &_color)
Public Member Functions inherited from ViewObjectMarker
virtual | ~ViewObjectMarker ()
| Destructor.
virtual Type | type ()
virtual bool | blendForStencilRefBit (GLuint _refbit, GLenum &_src, GLenum &_dst, ACG::Vec4f &_color)

## Additional Inherited Members
Public Types inherited from ViewObjectMarker
enum | Type { PerNumber, PerBit }
| Blending type for this marker. More...

## Detailed Description

Object marker to visualize "target" and "source" object flags

Definition at line 52 of file DefaultObjectMarker.hh.

## Member Function Documentation

## ◆ blendForStencilRefNumber()

bool DefaultObjectMarker::blendForStencilRefNumber | ( | GLuint | _reference,
|  | GLenum & | _src,
|  | GLenum & | _dst,
|  | ACG::Vec4f & | _color
| ) |  |
| virtual

Per reference number blending values

Parameters

  _reference | stencil reference for blending
  _src | sfactor parameter for ACG::GLState::blendFunc function
  _dst | dfactor parameter for ACG::GLState::blendFunc function
  _color | color used for blending

Returns
  should blending be berformed for this reference

Reimplemented from ViewObjectMarker.

Definition at line 82 of file DefaultObjectMarker.cc.

## ◆ stencilRefForObject()

bool DefaultObjectMarker::stencilRefForObject | ( | BaseObjectData * | _obj,
|  | GLuint & | _reference
| ) |  |
| virtual

Get stencil reference for object

Parameters

  _obj | Object
  _reference | stencil reference for object painting

Returns
  should the reference be used

Implements ViewObjectMarker.

Definition at line 56 of file DefaultObjectMarker.cc.

The documentation for this class was generated from the following files:

- Plugin-Datacontrol/DefaultObjectMarker.hh
- Plugin-Datacontrol/DefaultObjectMarker.cc